Bug 1029676 - RFE: package working packstack answer files for different network scenarios
RFE: package working packstack answer files for different network scenarios
Status: CLOSED NOTABUG
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mike Orazi
Ami Jeain
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 16:51 EST by Mohammed Arafa
Modified: 2014-03-19 01:31 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-19 01:31:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
All in one RDO Havana packtstack config file (13.50 KB, text/plain)
2013-11-25 14:59 EST, Rushil Chugh
no flags Details
Controller + L3 + DHCP + Compute (10.97 KB, text/plain)
2013-11-26 14:39 EST, Rushil Chugh
no flags Details
Grizzly-AllInOne (10.97 KB, text/plain)
2013-11-26 14:54 EST, Rushil Chugh
no flags Details

  None (edit)
Description Mohammed Arafa 2013-11-12 16:51:06 EST
Description of problem:
RFE: package working packstack answer files for different network scenarios

why? with sample packstack answer files it would be in a similar vein like caching-bind-server which packages sample configs for the end user to work on.
the newbie will be able to see and learn from the answer files and modify to his requirements.
it will also decrease frustration with the distribution and gain more avid users (aka fans)
it will also decrease the learning curve and time to deployment

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Rushil Chugh 2013-11-25 14:59:34 EST
Created attachment 828854 [details]
All in one RDO Havana packtstack config file
Comment 2 Rushil Chugh 2013-11-26 14:39:35 EST
Created attachment 829443 [details]
Controller + L3 + DHCP + Compute

Grizzly on RHEL6.4 with Neutron + OVS on 4 machines:
1. Machine with all services including neutron server (no compute, no l3, no dhcp) - 192.168.122.39
2. L3-only machine - 192.168.122.154
3. DHCP-only machine - 192.168.122.157
4. Compute-only machine - 192.168.122.192
Comment 3 Rushil Chugh 2013-11-26 14:54:42 EST
Created attachment 829445 [details]
Grizzly-AllInOne
Comment 4 Rushil Chugh 2013-12-02 13:03:56 EST
Hi
Are you looking for some specific configurations? The 3 answer files that I have posted above are very generic and should give a broad idea to set up various open stack configurations.
Comment 6 Gilles Dubreuil 2014-03-19 01:31:51 EDT
We haven't received any feedback from the creator.
Anyway, latest ML2 layer has helped to offer more network scenarios.
Therefore closing this one.
If they are specific case needed please create a new ticket with preferably [RFE] (Request For Enhancement] in the title.

Note You need to log in before you can comment on or make changes to this bug.